<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.TPreEmpDeclarationMapper">

  <resultMap id="tPreEmpDeclarationMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.TPreEmpDeclaration">
    <id property="id" column="ID"/>
    <result property="contentOne" column="CONTENT_ONE"/>
    <result property="contentTwo" column="CONTENT_TWO"/>
    <result property="createTime" column="CREATE_TIME"/>
  </resultMap>
    <sql id="Base_Column_List">
		a.ID,
		a.CONTENT_ONE,
		a.CONTENT_TWO,
		a.CREATE_TIME
    </sql>
    <!--tPreEmpDeclaration简单分页查询-->
    <select id="getTPreEmpDeclarationList" resultMap="tPreEmpDeclarationMap">
        SELECT
        	<include refid="Base_Column_List"/>
        FROM t_pre_emp_declaration a
        order by a.CREATE_TIME desc
        limit 1
    </select>
</mapper>
